import { OnChanges, SimpleChanges, EventEmitter, ElementRef } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { HighlightService } from './highlight.service';
import { NgxHighlightOptions, HighlightResult } from './highlight.model';
export declare class HighlightDirective implements OnChanges {
    private _highlightService;
    private _sanitizer;
    private _options;
    private readonly _nativeElement;
    private _lineNumbersObserver;
    code: string;
    languages: string[];
    lineNumbers: boolean;
    highlighted: EventEmitter<HighlightResult>;
    constructor(el: ElementRef, _highlightService: HighlightService, _sanitizer: DomSanitizer, _options: NgxHighlightOptions);
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Highlighting with language detection and fix markup.
     * @param code Accepts a string with the code to highlight
     * @param languages An optional array of language names and aliases restricting detection to only those languages.
     * The subset can also be set with configure, but the local parameter overrides the option if set.
     */
    highlightElement(code: string, languages: string[]): void;
    private addLineNumbers;
    private destroyLineNumbersObserver;
    private setTextContent;
    private setInnerHTML;
}
